import { Credit, EndPoint } from "../utils/interfaces";
import Problem from "./problem";
declare class Leetcode {
    session?: string;
    csrfToken: string;
    constructor(credit: Credit);
    get credit(): Credit;
    static build(endpoint: EndPoint, props?: {
        username?: string;
        password?: string;
        cookie?: string;
    }): Promise<Leetcode>;
    static login(username: string, password: string): Promise<Credit>;
    static getCredit(cookie: Array<string>): Promise<Credit>;
    getProfile(): Promise<any>;
    getAllProblems(): Promise<Array<Problem>>;
    getProblemsByTag(tag: string): Promise<Array<Problem>>;
}
export default Leetcode;
